module ApplicationHelper
  def present(object, klass=nil)
    klass ||= "#{object.class}Presenter".constantize
    presenter = klass.new(object, self)
    yield presenter if block_given?
    presenter
  end

  def collection_sidebar_box(heading, collection, &blk)
    render partial: 'layouts/sidebar', locals: {
      sidebar_header: heading,
      collection_to_present: collection,
      link_text: blk
    }
  end
end
